import { SnkApplication } from '../../components/snk-application/snk-application';
import { Action } from '../../components/snk-taskbar/snk-taskbar';
export declare class ContinuousInsertUtils {
  private keyConfigEnableContinuousInsert;
  private snkApplication;
  constructor(snkApplication: SnkApplication, resourceID: string, configName?: string);
  handleSaveConfig(enableContinuousInsert: boolean): Promise<any>;
  getConfig(): Promise<boolean>;
  private getMessage;
  actionContinuousInsert(enableContinuousInsert: boolean, handleEnableContinuousInsert: () => void): Action;
}
